---
title: Read All Promotions
component: pingone-api-ea
page_id: pingone-api-ea:platform:early-access/configuration-management/promotions/get-all-promotions
canonical_url: https://developer.pingidentity.com/pingone-api-ea/platform/early-access/configuration-management/promotions/get-all-promotions.html
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Read All Promotions

##

   

```none
GET {{apiPath}}/v1/environments/{{envId}}/promotions
```

Use the GET `{{apiPath}}/v1/environments/{{envId}}/promotions` request to return the details for all promotions.

> **Collapse: Query parameters**
>
> | Query parameter | Attributes (or allowed limits) |
> | --------------- | ------------------------------ |
> | `filter`        | status (eq)                    |

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envId}}/promotions' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envId}}/promotions")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envId}}/promotions"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/environments/{{envId}}/promotions HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envId}}/promotions")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envId}}/promotions",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envId}}/promotions',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v1/environments/{{envId}}/promotions"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envId}}/promotions');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envId}}/promotions")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envId}}/promotions")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions?limit=25"
        }
    },
    "_embedded": {
        "promotions": [
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/5d2105ef-2657-4920-93ff-1328f86d51ab"
                    }
                },
                "_embedded": null,
                "id": "5d2105ef-2657-4920-93ff-1328f86d51ab",
                "createdAt": "2026-05-21T17:47:15.975Z",
                "updatedAt": "2026-05-21T17:47:15.975Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "a9009a41-80f0-497b-a194-338deded5d1c",
                "sourceSnapshot": {
                    "id": "a9009a41-80f0-497b-a194-338deded5d1c"
                },
                "targetSnapshotId": "d98c98d9-50f1-4774-9c92-c47f7522d657",
                "targetSnapshot": {
                    "id": "d98c98d9-50f1-4774-9c92-c47f7522d657"
                },
                "previousPromotion": {
                    "id": "461a33b0-f041-44b0-92ff-e59402c1c2ac"
                },
                "status": "ERROR",
                "promotionErrors": [
                    "Selected resources list is empty"
                ],
                "resourceMapping": {},
                "description": "Rolling back promotion."
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/f2a2c7ac-3cc8-4d6a-b506-74fe3d416b2e"
                    }
                },
                "_embedded": null,
                "id": "f2a2c7ac-3cc8-4d6a-b506-74fe3d416b2e",
                "createdAt": "2026-05-21T11:53:41.990Z",
                "updatedAt": "2026-05-21T11:53:41.990Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "b958d5ec-07d9-4cf4-aef8-47060a55bc28",
                "sourceSnapshot": {
                    "id": "b958d5ec-07d9-4cf4-aef8-47060a55bc28"
                },
                "targetSnapshotId": "ef487a49-b27f-4845-b411-67c95b65eedb",
                "targetSnapshot": {
                    "id": "ef487a49-b27f-4845-b411-67c95b65eedb"
                },
                "status": "NEW",
                "selectedResources": [
                    "26a126c2-054f-4f18-b077-8226c0c4bf3e"
                ],
                "excludedResources": [
                    "363ef235-f6fe-4bc7-ae3d-63217482f5"
                ],
                "resourceMapping": {
                    "2c3b1245-2c38-4174-97fa-069d88a543b1": "c7c92d16-e07b-4ddb-8d17-073fea3a219c"
                },
                "description": "Test promotion of population"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/4012c2b0-4700-41b7-befa-64972e9ad975"
                    }
                },
                "_embedded": null,
                "id": "4012c2b0-4700-41b7-befa-64972e9ad975",
                "createdAt": "2026-05-20T15:01:11.465Z",
                "updatedAt": "2026-05-20T15:01:11.465Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "2bd7f053-eb90-416e-87b9-b7031816e7e2",
                "sourceSnapshot": {
                    "id": "2bd7f053-eb90-416e-87b9-b7031816e7e2"
                },
                "targetSnapshotId": "10d01baf-563c-42db-899e-e08cd9345e55",
                "targetSnapshot": {
                    "id": "10d01baf-563c-42db-899e-e08cd9345e55"
                },
                "status": "NEW",
                "selectedResources": [
                    "26a126c2-054f-4f18-b077-8226c0c4bf3e"
                ],
                "excludedResources": [
                    "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                ],
                "resourceMapping": {
                    "2c3b1245-2c38-4174-97fa-069d88a543b1": "c7c92d16-e07b-4ddb-8d17-073fea3a219c"
                },
                "description": "Test promotion of population"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/461a33b0-f041-44b0-92ff-e59402c1c2ac"
                    }
                },
                "_embedded": null,
                "id": "461a33b0-f041-44b0-92ff-e59402c1c2ac",
                "createdAt": "2025-07-04T15:51:36.883Z",
                "updatedAt": "2026-05-21T16:36:40.906Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "04776ecf-9f38-40e5-a833-514f0c86fb23",
                "sourceSnapshot": {
                    "id": "04776ecf-9f38-40e5-a833-514f0c86fb23"
                },
                "targetSnapshotId": "a9009a41-80f0-497b-a194-338deded5d1c",
                "targetSnapshot": {
                    "id": "a9009a41-80f0-497b-a194-338deded5d1c"
                },
                "status": "ERROR",
                "promotionErrors": [
                    "400 Bad Request on PUT request for \"https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/populations/27091971-0a42-4f67-95d1-d617fc2a16e5\": \"{<EOL>  \"id\" : \"419562f1-8bce-4fac-80c3-bf41aa840fa2\",<EOL>  \"code\" : \"INVALID_DATA\",<EOL>  \"message\" : \"The request could not be completed. One or more validation errors were in the request.\",<EOL>  \"details\" : [ {<EOL>    \"code\" : \"INVALID_VALUE\",<EOL>    \"target\" : \"passwordPolicy\",<EOL>    \"message\" : \"invalid passwordPolicy value was provided\"<EOL>  } ]<EOL>}\""
                ],
                "selectedResources": [
                    "26a126c2-054f-4f18-b077-8226c0c4bf3e"
                ],
                "excludedResources": [
                    "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                ],
                "resourceMapping": {
                    "5ab94557-59c3-4afc-bbf6-046444bd04b8": "f0c75a0b-859e-433d-9edc-07a7c847e185",
                    "26a126c2-054f-4f18-b077-8226c0c4bf3e": "27091971-0a42-4f67-95d1-d617fc2a16e5",
                    "2c3b1245-2c38-4174-97fa-069d88a543b1": "c7c92d16-e07b-4ddb-8d17-073fea3a219c"
                },
                "startedAt": "2026-05-21T16:36:40.906Z",
                "completedAt": "2026-05-21T16:36:42.718Z",
                "description": "Test promotion of population"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/e2cf9a22-5aeb-4046-ad3d-c6dc97c90ef9"
                    }
                },
                "_embedded": null,
                "id": "e2cf9a22-5aeb-4046-ad3d-c6dc97c90ef9",
                "createdAt": "2025-07-04T15:29:43.199Z",
                "updatedAt": "2025-07-04T15:29:43.199Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "0c31da80-8588-4ec1-8837-ad7f7aa94884",
                "sourceSnapshot": {
                    "id": "0c31da80-8588-4ec1-8837-ad7f7aa94884"
                },
                "targetSnapshotId": "9f6f1184-6d61-4a42-8115-136c34574d8d",
                "targetSnapshot": {
                    "id": "9f6f1184-6d61-4a42-8115-136c34574d8d"
                },
                "status": "VALIDATION_FAILED",
                "promotionErrors": [
                    "Mapped target resources were not found in the target snapshot list: [c7c92d16-e07b-4ddb-8d17-073fea3a219c]"
                ],
                "selectedResources": [
                    "26a126c2-054f-4f18-b077-8226c0c4bf3e"
                ],
                "excludedResources": [
                    "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                ],
                "resourceMapping": {
                    "26a126c2-054f-4f18-b077-8226c0c4bf3e": "c7c92d16-e07b-4ddb-8d17-073fea3a219c"
                },
                "description": "Test promotion of agreements and themes"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/a7575b6f-f91f-4279-b88d-96498bc6fb13"
                    }
                },
                "_embedded": null,
                "id": "a7575b6f-f91f-4279-b88d-96498bc6fb13",
                "createdAt": "2025-07-03T16:50:26.621Z",
                "updatedAt": "2025-07-03T16:50:26.621Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "d2bbfc49-ec83-446f-a533-5e78a1a20323",
                "sourceSnapshot": {
                    "id": "d2bbfc49-ec83-446f-a533-5e78a1a20323"
                },
                "targetSnapshotId": "59c99f40-cbc1-4f99-93f8-36960a0d3f23",
                "targetSnapshot": {
                    "id": "59c99f40-cbc1-4f99-93f8-36960a0d3f23"
                },
                "status": "VALIDATION_FAILED",
                "promotionErrors": [
                    "Mapped target resources were not found in the target snapshot list: [c7c92d16-e07b-4ddb-8d17-073fea3a219c]"
                ],
                "selectedResources": [
                    "26a126c2-054f-4f18-b077-8226c0c4bf3e"
                ],
                "excludedResources": [
                    "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                ],
                "resourceMapping": {
                    "2c3b1245-2c38-4174-97fa-069d88a543b1": "c7c92d16-e07b-4ddb-8d17-073fea3a219c"
                },
                "description": "Test promotion of another population"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/630c1dfe-8a17-41f8-9765-a4996501f84a"
                    }
                },
                "_embedded": null,
                "id": "630c1dfe-8a17-41f8-9765-a4996501f84a",
                "createdAt": "2025-07-03T16:40:13.301Z",
                "updatedAt": "2025-07-03T16:40:13.301Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "1185c5ea-9451-4491-9987-658335cfa667",
                "sourceSnapshot": {
                    "id": "1185c5ea-9451-4491-9987-658335cfa667"
                },
                "targetSnapshotId": "7da7458d-e85f-45b6-84b4-07c094012c44",
                "targetSnapshot": {
                    "id": "7da7458d-e85f-45b6-84b4-07c094012c44"
                },
                "status": "VALIDATION_FAILED",
                "promotionErrors": [
                    "Mapped source resources were not found in the source snapshot list: [1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e]",
                    "Mapped target resources were not found in the target snapshot list: [363ef235-f6fe-4bc7-ae3d-63217482f57f]"
                ],
                "selectedResources": [
                    "1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e",
                    "8ae17de9-8e2a-41db-916e-3e46adaf16d9"
                ],
                "excludedResources": [
                    "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                ],
                "resourceMapping": {
                    "1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e": "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                },
                "description": "Test promotion of agreements and themes"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/f2467696-1d16-483c-8f9c-00a7c62fddfe"
                    }
                },
                "_embedded": null,
                "id": "f2467696-1d16-483c-8f9c-00a7c62fddfe",
                "createdAt": "2025-04-22T16:31:46.717Z",
                "updatedAt": "2025-04-22T16:31:46.717Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "a502a852-509a-41ac-852a-6a1d4a9b8ea5",
                "sourceSnapshot": {
                    "id": "a502a852-509a-41ac-852a-6a1d4a9b8ea5"
                },
                "targetSnapshotId": "87eff785-97b6-4bbb-8016-7acd320612b4",
                "targetSnapshot": {
                    "id": "87eff785-97b6-4bbb-8016-7acd320612b4"
                },
                "status": "VALIDATION_FAILED",
                "promotionErrors": [
                    "Mapped source resources were not found in the source snapshot list: [1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e]",
                    "Mapped target resources were not found in the target snapshot list: [363ef235-f6fe-4bc7-ae3d-63217482f57f]"
                ],
                "selectedResources": [
                    "1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e",
                    "8ae17de9-8e2a-41db-916e-3e46adaf16d9"
                ],
                "excludedResources": [
                    "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                ],
                "resourceMapping": {
                    "1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e": "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                },
                "description": "Test promotion of agreements and themes"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/166f212b-5615-461c-a13d-9330439ecb19"
                    }
                },
                "_embedded": null,
                "id": "166f212b-5615-461c-a13d-9330439ecb19",
                "createdAt": "2024-11-01T14:13:02.018Z",
                "updatedAt": "2024-11-01T14:13:02.018Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "23ef7815-cfde-4227-8121-369887e9b21e",
                "sourceSnapshot": {
                    "id": "23ef7815-cfde-4227-8121-369887e9b21e"
                },
                "targetSnapshotId": "ae20eee9-193e-4c87-bbec-94beaa4eba5f",
                "targetSnapshot": {
                    "id": "ae20eee9-193e-4c87-bbec-94beaa4eba5f"
                },
                "status": "VALIDATION_FAILED",
                "promotionErrors": [
                    "Mapped source resources were not found in the source snapshot list: [1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e]",
                    "Mapped target resources were not found in the target snapshot list: [363ef235-f6fe-4bc7-ae3d-63217482f57f]"
                ],
                "selectedResources": [
                    "1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e",
                    "8ae17de9-8e2a-41db-916e-3e46adaf16d9"
                ],
                "excludedResources": [
                    "363ef235-f6fe-4bc7-ae3d-63217482f57f"
                ],
                "resourceMapping": {},
                "description": "Test promotion of agreements and themes"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotions/84fc497e-4b8e-45af-b8a7-a67b754363b1"
                    }
                },
                "_embedded": null,
                "id": "84fc497e-4b8e-45af-b8a7-a67b754363b1",
                "createdAt": "2024-09-11T14:27:32.959Z",
                "updatedAt": "2024-09-11T14:27:32.959Z",
                "sourceEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "sourceEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "targetEnvironmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
                "targetEnvironment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "sourceSnapshotId": "d0265755-14a2-43e7-b915-4328f637575b",
                "sourceSnapshot": {
                    "id": "d0265755-14a2-43e7-b915-4328f637575b"
                },
                "targetSnapshotId": "4a10525c-3f54-4ddc-9c8d-083a38619b9d",
                "targetSnapshot": {
                    "id": "4a10525c-3f54-4ddc-9c8d-083a38619b9d"
                },
                "status": "VALIDATION_FAILED",
                "selectedResources": [
                    "1d0ff9f4-0fae-4859-9dfa-0aa6cac9150e",
                    "8ae17de9-8e2a-41db-916e-3e46adaf16d9"
                ],
                "resourceMapping": {},
                "description": "Test promotion of agreements and themes"
            }
        ]
    },
    "size": 10
}
```
